Skip to main content

Alerts

Alerts can be created by users on datasets. These alerts can then be used to inform users of information related to that dataset.


Requests​

Initialise an alert on a dataset​

POST /datasets/{dataset-id}/alerts

Initialises a new alert on a dataset.

Prerequisites​

  • The authenticated user must own a Meltano Cloud account
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/47917f03-fa4d-49e8-a184-1c6461ac9248/alerts' -i -X POST \
-H 'Content-Type: application/json'

Response​

200 OK

{
"id" : "7cbae062-a406-48b7-8387-5ca921a1bca2",
"created" : "2026-10-29T15:47:28.103368882",
"lastModified" : "2026-10-29T15:47:28.103374672",
"_links" : {
"create alert" : {
"href" : "https://app.meltano.com/api/datasets/47917f03-fa4d-49e8-a184-1c6461ac9248/alerts/7cbae062-a406-48b7-8387-5ca921a1bca2"
}
}
}

Create an alert on a dataset​

PUT /datasets/{dataset-id}/alerts/{alert-id}

Create a new alert on a dataset.

Prerequisites​

  • The authenticated user must own a Meltano Cloud account
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/47917f03-fa4d-49e8-a184-1c6461ac9248/alerts/7cbae062-a406-48b7-8387-5ca921a1bca2' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"detail" : "New dataset alert"
}'

Response​

201 Created

{
"id" : "7cbae062-a406-48b7-8387-5ca921a1bca2",
"created" : "2026-10-29T15:47:28.257702353",
"lastModified" : "2026-10-29T15:47:28.257704045",
"raised" : "2026-10-29T15:47:28.257702353",
"detail" : "New dataset alert",
"_links" : {
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/47917f03-fa4d-49e8-a184-1c6461ac9248"
}
}
}

View alerts on a dataset​

GET /datasets/{dataset-id}/alerts

View alerts on a dataset.

Prerequisites​

  • The authenticated user must own a Meltano Cloud account
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/47917f03-fa4d-49e8-a184-1c6461ac9248/alerts' -i -X GET

Response​

200 OK

{
"_embedded" : {
"alerts" : [ {
"id" : "7cbae062-a406-48b7-8387-5ca921a1bca2",
"created" : "2026-10-29T15:47:28.257702",
"lastModified" : "2026-10-29T15:47:28.257704",
"raised" : "2026-10-29T15:47:28.257702",
"detail" : "New dataset alert",
"_links" : {
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/47917f03-fa4d-49e8-a184-1c6461ac9248"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/datasets/47917f03-fa4d-49e8-a184-1c6461ac9248/alerts?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 1,
"totalPages" : 1,
"number" : 0
}
}

View an alert​

GET /alerts/{alert-id}

View an alert.

Prerequisites​

  • The authenticated user must own a Meltano Cloud account
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/alerts/7cbae062-a406-48b7-8387-5ca921a1bca2' -i -X GET

Response​

200 OK

{
"id" : "7cbae062-a406-48b7-8387-5ca921a1bca2",
"created" : "2026-10-29T15:47:28.257702",
"lastModified" : "2026-10-29T15:47:28.257704",
"raised" : "2026-10-29T15:47:28.257702",
"detail" : "New dataset alert",
"_links" : {
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/47917f03-fa4d-49e8-a184-1c6461ac9248"
}
}
}